package com.ruoyi.mall.domain.Bo;

import com.ruoyi.common.annotation.Excel;

import java.math.BigDecimal;

/**
 * 录取记录导入
 * @author Lsm
 * @since 2023-11-21
 */
public class ImportSchoolAcceptBO {
    private static final long serialVersionUID = 1L;

    @Excel(name = "批次")
    private String batchName;

    @Excel(name = "院校代码")
    private String schoolNumber;

    @Excel(name = "学校名称")
    private String schoolName;

    @Excel(name = "专业")
    private String majorNameStr;

    @Excel(name = "招生计划")
    private Integer acceptNum;

    @Excel(name = "录取原则")
    private String ruleStr;

    @Excel(name = "综合最低分")
    private BigDecimal acceptLowest;

    @Excel(name = "城市")
    private String cityName;

    @Excel(name = "录取前提")
    private String littleScoreLimit;

    @Excel(name = "年份")
    private String acceptYear;

    @Excel(name = "文化分数线")
    private Integer cultureLowest;

    @Excel(name = "联考分数线")
    private Integer majorLowest;

    @Excel(name = "学科")
    private String subjectType;

    @Excel(name = "学费")
    private BigDecimal schoolPrice;

    @Excel(name = "专业代码")
    private String majorCode;

    public String getBatchName() {
        return batchName;
    }

    public void setBatchName(String batchName) {
        this.batchName = batchName;
    }

    public String getSchoolNumber() {
        return schoolNumber;
    }

    public void setSchoolNumber(String schoolNumber) {
        this.schoolNumber = schoolNumber;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getMajorNameStr() {
        return majorNameStr;
    }

    public void setMajorNameStr(String majorNameStr) {
        this.majorNameStr = majorNameStr;
    }

    public Integer getAcceptNum() {
        return acceptNum;
    }

    public void setAcceptNum(Integer acceptNum) {
        this.acceptNum = acceptNum;
    }

    public String getRuleStr() {
        return ruleStr;
    }

    public void setRuleStr(String ruleStr) {
        this.ruleStr = ruleStr;
    }

    public BigDecimal getAcceptLowest() {
        return acceptLowest;
    }

    public void setAcceptLowest(BigDecimal acceptLowest) {
        this.acceptLowest = acceptLowest;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getLittleScoreLimit() {
        return littleScoreLimit;
    }

    public void setLittleScoreLimit(String littleScoreLimit) {
        this.littleScoreLimit = littleScoreLimit;
    }

    public String getAcceptYear() {
        return acceptYear;
    }

    public void setAcceptYear(String acceptYear) {
        this.acceptYear = acceptYear;
    }

    public Integer getCultureLowest() {
        return cultureLowest;
    }

    public void setCultureLowest(Integer cultureLowest) {
        this.cultureLowest = cultureLowest;
    }

    public Integer getMajorLowest() {
        return majorLowest;
    }

    public void setMajorLowest(Integer majorLowest) {
        this.majorLowest = majorLowest;
    }

    public String getSubjectType() {
        return subjectType;
    }

    public void setSubjectType(String subjectType) {
        this.subjectType = subjectType;
    }

    public BigDecimal getSchoolPrice() {
        return schoolPrice;
    }

    public void setSchoolPrice(BigDecimal schoolPrice) {
        this.schoolPrice = schoolPrice;
    }

    public String getMajorCode() {
        return majorCode;
    }

    public void setMajorCode(String majorCode) {
        this.majorCode = majorCode;
    }
}
